io.undertow.util

## Class WorkerUtils

- java.lang.Object
- - io.undertow.util.WorkerUtils

    public class WorkerUtils
    extends Object

Author:
  Stuart Douglas

### Method Summary

All Methods Static Methods Concrete Methods
`static org.xnio.XnioExecutor.Key` `executeAfter(org.xnio.XnioIoThread thread, Runnable task, long timeout, TimeUnit timeUnit)` Schedules a task for future execution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### executeAfter

    public static org.xnio.XnioExecutor.Key executeAfter(org.xnio.XnioIoThread thread,
                                                         Runnable task,
                                                         long timeout,
                                                         TimeUnit timeUnit)

Schedules a task for future execution. If the execution is rejected because the worker is shutting down then it is logged at debug level and the exception is not re-thrown

Parameters:
  `thread` - The IO thread
  `task` - The task to execute
  `timeout` - The timeout
  `timeUnit` - The time unit